| 28 Sep 11:37 2010
Picon

error building kdebase-runtime from branch4.5 due to phonon

After updating phonon git repository i have updated kdelibs4, and now i was 
building kdebase4-runtime, but seams isnt possible due to latest changes in 
phonon git repo, the output:

(i have kdebase-runtime svn revision 1180458 and phonon git aecdcb7..9bf4bf3, 
so as you can see are from today)

Scanning dependencies of target kded_phononserver
[ 64%] Building CXX object phonon/kded-
module/CMakeFiles/kded_phononserver.dir/kded_phononserver_automoc.o            
[ 64%] Building CXX object phonon/kded-
module/CMakeFiles/kded_phononserver.dir/phononserver.o                         
[ 64%] Building CXX object kurifilter-
plugins/ikws/CMakeFiles/kurisearchfilter.dir/searchprovider.o                   
Linking CXX shared module ../../lib/kurisearchfilter.so                                                               

/home/mmodem/rpm/BUILD/runtime/phonon/kded-module/phononserver.cpp:59: error: 
redefinition of ‘struct QMetaTypeId<QList<QPair<QByteArray, QString> > >’
/usr/include/KDE/Phonon/../../phonon/objectdescription.h:396: error: previous 
definition of ‘struct QMetaTypeId<QList<QPair<QByteArray, QString> > >’
[ 64%] Built target kurisearchfilter
[ 64%] Generating qrc_resources.cxx
Scanning dependencies of target kde                                                                                   
[ 64%] Building CXX object 
phonon/platform_kde/CMakeFiles/kde.dir/kde_automoc.o                                       
make[2]: *** [phonon/kded-
module/CMakeFiles/kded_phononserver.dir/phononserver.o] Error 1                             
make[1]: *** [phonon/kded-module/CMakeFiles/kded_phononserver.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 64%] Building CXX object 
(Continue reading)

David Jarvie | 28 Sep 13:23 2010
Picon

Re: error building kdebase-runtime from branch4.5 due to phonon

On Tue, September 28, 2010 10:37 am, Zé wrote:
> After updating phonon git repository i have updated kdelibs4, and now i
> was
> building kdebase4-runtime, but seams isnt possible due to latest changes
> in phonon git repo, the output:
>
> (i have kdebase-runtime svn revision 1180458 and phonon git
> aecdcb7..9bf4bf3,
> so as you can see are from today)

To build KDE 4.5 branch, you need phonon from tags/kdesupport-for-4.5.

--

-- 
David Jarvie.
KDE developer.
KAlarm author - http://www.astrojar.org.uk/kalarm

 
>> Visit http://mail.kde.org/mailman/listinfo/kde-devel#unsub to unsubscribe <<
| 28 Sep 17:41 2010
Picon

Re: Re: error building kdebase-runtime from branch4.5 due to phonon

Em Tuesday 28 September 2010 12:23:49 David Jarvie escreveu:
> On Tue, September 28, 2010 10:37 am, Zé wrote:
> > After updating phonon git repository i have updated kdelibs4, and now i
> > was
> > building kdebase4-runtime, but seams isnt possible due to latest changes
> > in phonon git repo, the output:
> >
> > (i have kdebase-runtime svn revision 1180458 and phonon git
> > aecdcb7..9bf4bf3,
> > so as you can see are from today)
> 
> To build KDE 4.5 branch, you need phonon from tags/kdesupport-for-4.5.
I always used phonon from trunk, since i was told that it would be fine build 
against phnon from trunk.

> -- 
> David Jarvie.
> KDE developer.
> KAlarm author - http://www.astrojar.org.uk/kalarm
> 
>  
> >> Visit http://mail.kde.org/mailman/listinfo/kde-devel#unsub to unsubscribe 
<<
> 

>> Visit http://mail.kde.org/mailman/listinfo/kde-devel#unsub to unsubscribe <<

Andreas Pakulat | 28 Sep 19:47 2010
Picon
Picon

Re: Re: error building kdebase-runtime from branch4.5 due to phonon

On 28.09.10 16:41:43, Zé wrote:
> Em Tuesday 28 September 2010 12:23:49 David Jarvie escreveu:
> > On Tue, September 28, 2010 10:37 am, Zé wrote:
> > > After updating phonon git repository i have updated kdelibs4, and now i
> > > was
> > > building kdebase4-runtime, but seams isnt possible due to latest changes
> > > in phonon git repo, the output:
> > >
> > > (i have kdebase-runtime svn revision 1180458 and phonon git
> > > aecdcb7..9bf4bf3,
> > > so as you can see are from today)
> > 
> > To build KDE 4.5 branch, you need phonon from tags/kdesupport-for-4.5.
> I always used phonon from trunk, since i was told that it would be fine build 
> against phnon from trunk.

No its not as you can see, there's a reason these kdesupport-for-x.y
tags are done.

Andreas

--

-- 
You will be recognized and honored as a community leader.

>> Visit http://mail.kde.org/mailman/listinfo/kde-devel#unsub to unsubscribe <<


Gmane